> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get profile

GET https://astropods.com/api/v1/me

Returns the authenticated user's profile and accounts.

Reference: https://docs.astropods.com/api-reference/astropods-api/accounts/get-profile

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 device flow or platform session token

## Response

### 200

User profile and accounts

- `user` (object, optional)
  - `id` (string, optional)
  - `email` (string, optional)
  - `first_name` (string, optional)
  - `last_name` (string, optional)
  - `email_verified` (boolean, optional)
  - `profile_picture_url` (string, optional)
  - `created_at` (datetime, optional)
  - `updated_at` (datetime, optional)
- `accounts` (list of object, optional)
  - `id` (string, optional)
  - `name` (string, optional)
  - `type` (enum, optional)
    - Allowed values: `personal`, `team`
  - `role` (enum, optional)
    - Allowed values: `owner`, `admin`, `member`
  - `agents` (list of object, optional)
    - `name` (string, optional)
    - `registry` (string, optional)
    - `build_count` (integer, optional)
    - `published_version_count` (integer, optional)

## Errors

### 401 Unauthorized Error

Authentication required

- `error` (string, optional)
- `details` (string, optional)

## Examples

**Response**

```json
{
  "user": {
    "id": "string",
    "email": "string",
    "first_name": "string",
    "last_name": "string",
    "email_verified": true,
    "profile_picture_url": "string",
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  },
  "accounts": [
    {
      "id": "string",
      "name": "string",
      "type": "personal",
      "role": "owner",
      "agents": [
        {
          "name": "string",
          "registry": "string",
          "build_count": 1,
          "published_version_count": 1
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/me"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/me';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/me"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/me")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/me")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/me', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/me");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/me")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```